<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/transparent">

        <androidx.cardview.widget.CardView
            android:layout_width="960dp"
            android:layout_height="700dp"
            android:layout_margin="100dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/iv_dialog_close"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="30dp"
                        android:src="@mipmap/cancel"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:layout_width="10dp"
                        android:layout_height="40dp"
                        android:layout_marginTop="30dp"
                        android:background="#00A1FF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start"
                        android:layout_margin="30dp"
                        android:text="@string/renew"
                        android:textColor="#38ADFF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/constraintLayout5"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="115dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:id="@+id/linearLayout4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginEnd="30dp"
                                android:gravity="center_vertical"
                                android:text="选择套餐：" />

                            <com.google.android.material.textfield.TextInputLayout
                                android:id="@+id/til_spinner_1"
                                style="@style/Widget.Material3.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                                android:layout_width="650dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_margin="5dp"
                                android:layout_marginTop="10dp">

                                <AutoCompleteTextView
                                    android:id="@+id/ac_input_package"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:inputType="none" />

                            </com.google.android.material.textfield.TextInputLayout>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginEnd="30dp"
                                android:gravity="center_vertical"
                                android:text="选择时长：" />

                            <com.google.android.material.textfield.TextInputLayout
                                android:id="@+id/til_spinner_2"
                                style="@style/Widget.Material3.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                                android:layout_width="650dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_margin="5dp"
                                android:layout_marginTop="10dp">

                                <AutoCompleteTextView
                                    android:id="@+id/ac_input_time"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:inputType="none" />

                            </com.google.android.material.textfield.TextInputLayout>
                        </LinearLayout>

                    </LinearLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_marginTop="40dp"
                        android:background="#1A000000"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/linearLayout4">

                        <ImageView
                            android:id="@+id/iv_pay"
                            android:layout_width="200dp"
                            android:layout_height="200dp"
                            android:layout_marginStart="200dp"
                            android:src="@mipmap/logo_blue"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="50dp"
                            android:orientation="vertical"
                            app:layout_constraintStart_toEndOf="@+id/iv_pay"
                            app:layout_constraintTop_toTopOf="@+id/iv_pay">


                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="15dp"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <ImageView
                                    android:layout_width="40dp"
                                    android:layout_height="40dp"
                                    android:src="@mipmap/wepay" />

                                <TextView
                                    android:layout_width="300dp"
                                    android:layout_height="wrap_content"
                                    android:layout_margin="5dp"
                                    android:text="微信支付" />

                                <ImageView
                                    android:id="@+id/iv_we"
                                    android:layout_width="40dp"
                                    android:layout_height="40dp"
                                    android:src="@mipmap/sel"/>

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <ImageView
                                    android:layout_width="40dp"
                                    android:layout_height="40dp"
                                    android:src="@mipmap/alipay" />

                                <TextView
                                    android:layout_width="300dp"
                                    android:layout_height="wrap_content"
                                    android:layout_margin="5dp"
                                    android:text="支付宝支付" />

                                <ImageView
                                    android:id="@+id/iv_ali"
                                    android:layout_width="40dp"
                                    android:src="@mipmap/unsel"
                                    android:layout_height="40dp" />

                            </LinearLayout>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="50dp"
                            android:orientation="horizontal"
                            app:layout_constraintBottom_toBottomOf="@+id/iv_pay"
                            app:layout_constraintStart_toEndOf="@+id/iv_pay">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="￥"
                                android:textColor="#EC6400"
                                android:textSize="28sp" />

                            <TextView
                                android:id="@+id/tv_price"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginEnd="30dp"
                                android:text="@string/none"
                                android:textColor="#EC6400"
                                android:textSize="60sp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="原价"
                                android:textColor="#8D8D8D"
                                android:textSize="24sp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="￥"
                                android:textColor="#8D8D8D"
                                android:textSize="24sp" />

                            <TextView
                                android:id="@+id/tv_origin_price"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/none"
                                android:textColor="#8D8D8D"
                                android:textSize="24sp" />


                        </LinearLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>


                </androidx.constraintlayout.widget.ConstraintLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
